# Created by pyp2rpm-2.0.0
%global pypi_name rjsmin

Name:           python-%{pypi_name}
Version:        1.0.12
Release:        2%{?dist}
Summary:        Javascript Minifier

License:        ASL 2.0
URL:            http://opensource.perlig.de/rjsmin/
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
rJSmin is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.

%package -n     python2-%{pypi_name}
Summary:        Javascript Minifier
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
rJSmin is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.

%package -n     python3-%{pypi_name}
Summary:        Javascript Minifier
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
rJSmin is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.

%package docs
Summary:    Javascript Minifier - docs
%description docs
Docs for rJSmin, which is a javascript minifier written in python.

The minifier is based on the semantics
of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming
for speed, so it can be used at
runtime (rather than during a preprocessing
step). Usually it produces the
same results as the original jsmin.c.



%prep
%autosetup -n %{pypi_name}-%{version}

# strip bang path from rjsmin.py
sed -i '1d' rjsmin.py

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


# remove upstream developer documentation
rm -r %{buildroot}/%{_docdir}/%{pypi_name}/

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitearch}/%{pypi_name}.py
%{python2_sitearch}/%{pypi_name}.py[oc]
%{python2_sitearch}/_rjsmin.so
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/_%{pypi_name}.cpython*
%{python3_sitearch}/__pycache__/rjsmin.*
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files docs
%doc README.rst docs

%changelog
* Tue Mar 15 2016 Matthias Runge <mrunge@redhat.com> - 1.0.12-2
- split out -docs package, clean up description (rhbz#1312350)

* Fri Feb 26 2016 Matthias Runge <mrunge@redhat.com> - 1.0.12-1
- Initial package. (rhbz#1312350)
